503 "Service Unavailable" error on Special:RevisionReview
Closed, ResolvedPublic

Description

Request from *insert ip here* via cp2016 cp2016, Varnish XID 482097163
Error: 503, Service Unavailable at Fri, 28 Apr 2017 16:07:37 GMT

Happened only on one article, but these were the steps to produce:

It was on Dianna Agron in enwiki. Click on "revert changes." Then, on Special:RevisionReview click "revert these changes"

It happened to three people in a span of 2 minutes. Worked on other articles after.

2017-04-28 16:07:37 [WQNoxwrAEFYAAGz6vcsAAABM] mw2113 enwiki 1.29.0-wmf.21 fatal ERROR: [ea436dd4] PHP Fatal Error: Call to undefined function getUser() {"fatal_exception":{"class":"ErrorException","message":"PHP Fatal Error: Call to undefined function getUser()","code":16777217,"file":"/srv/mediawiki/php-1.29.0-wmf.21/extensions/FlaggedRevs/business/RevisionReviewForm.php","line":387,"trace":[{"file":"/srv/mediawiki/php-1.29.0-wmf.21/extensions/FlaggedRevs/business/RevisionReviewForm.php","line":387},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/extensions/FlaggedRevs/business/FRGenericSubmitForm.php","line":191,"function":"doSubmit","class":"RevisionReviewForm","type":"->","args":[]},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/extensions/FlaggedRevs/frontend/specialpages/actions/RevisionReview_body.php","line":110,"function":"submit","class":"FRGenericSubmitForm","type":"->","args":[]},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/includes/specialpage/SpecialPage.php","line":522,"function":"execute","class":"RevisionReview","type":"->","args":["NULL"]},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/includes/specialpage/SpecialPageFactory.php","line":578,"function":"run","class":"SpecialPage","type":"->","args":["NULL"]},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/includes/MediaWiki.php","line":287,"function":"executePath","class":"SpecialPageFactory","type":"::","args":["Title","RequestContext"]},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/includes/MediaWiki.php","line":862,"function":"performRequest","class":"MediaWiki","type":"->","args":[]},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/includes/MediaWiki.php","line":523,"function":"main","class":"MediaWiki","type":"->","args":[]},{"file":"/srv/mediawiki/php-1.29.0-wmf.21/index.php","line":43,"function":"run","class":"MediaWiki","type":"->","args":[]},{"file":"/srv/mediawiki/w/index.php","line":3,"function":"include","args":["string"]}]},"exception_id":"ea436dd4","caught_by":"mwe_handler"}
DatGuy created this task.Apr 28 2017, 4:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2017, 4:28 PM
Aklapper renamed this task from "Service Unavailable" error on Special:RevisionReview to 503 "Service Unavailable" error on Special:RevisionReview.Apr 28 2017, 7:49 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 29 2017, 10:14 AM
Zache added a subscriber: Zache.EditedMay 2 2017, 12:21 AM

Confirmed in fiwiki too in this discussion:

Method.in discussion

  1. user: Seegge
  2. page and revision where bug was: https://fi.wikipedia.org/w/index.php?title=Mako_Mermaids&diff=cur&oldid=16446242
  1. Click a pending change link
  2. In review difference window select "Reject changes"
  3. In confrimation page confirm the rejection

Result

  • Wikimedia server error page or plank page. When issue happens it can be repeated and at same time in second tab other articles can be reviewed normally.

Duplication of the bug
I tried to reject Mako_Mermaids pending change and everything worked normally. I tried to duplicate it in other articles too, but they worked also.

Zache added a comment.May 2 2017, 12:31 AM

This is also mentioned in phab:T164068 (Pending edits are not visible in recent changes page in ar.wiki) and related to phab:T164049

Zache triaged this task as High priority.May 2 2017, 12:33 AM

Change 351233 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/FlaggedRevs@master] Fix incorrect find/replace for getUser causing fatal

https://gerrit.wikimedia.org/r/351233

Change 351233 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@master] Fix incorrect find/replace for getUser causing fatal

https://gerrit.wikimedia.org/r/351233

Change 351236 had a related patch set uploaded (by Mattflaschen; owner: Mattflaschen):
[mediawiki/extensions/FlaggedRevs@wmf/1.29.0-wmf.21] Fix incorrect find/replace for getUser causing fatal

https://gerrit.wikimedia.org/r/351236

Change 351236 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@wmf/1.29.0-wmf.21] Fix incorrect find/replace for getUser causing fatal

https://gerrit.wikimedia.org/r/351236

Mentioned in SAL (#wikimedia-operations) [2017-05-02T03:10:31Z] <mattflaschen@naos> Synchronized php-1.29.0-wmf.21/extensions/FlaggedRevs/: Urgent deploy: Fix FlaggedRevs fatal, and also a filter issue: T164096 and T164049 (duration: 00m 56s)

Checked in ruwiki betalabs - rejecting versions (and accepting) looks normal.

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.May 8 2017, 9:22 PM

Change 369583 had a related patch set uploaded (by Reedy; owner: Mattflaschen):
[mediawiki/extensions/FlaggedRevs@REL1_29] Fix incorrect find/replace for getUser causing fatal

https://gerrit.wikimedia.org/r/369583

Change 369583 merged by jenkins-bot:
[mediawiki/extensions/FlaggedRevs@REL1_29] Fix incorrect find/replace for getUser causing fatal

https://gerrit.wikimedia.org/r/369583